#┌─────────────────────────────────────────────────────────────────────────────┐
#│ SDaRT - System Diagnostics and Repair Tool                                  │
#│ ==========================================                                  │
#│ File   : sdart-rs/src/sdart_cli.yaml                                        │
#│ License: Mozilla Public License 2.0                                         │
#│ URL    : https://gitlab.com/shivanandvp/sdart-rs                            │
#│ Authors:                                                                    │
#│     1. shivanandvp <shivanandvp@rebornos.org>                               │
#│     2.                                                                      │
#│ -----                                                                       │
#│ Description:                                                                │
#│                                                                             │
#│                                                                             │
#│ -----                                                                       │
#│ Last Modified: Sun, 5th December 2021 5:17:19 PM                            │
#│ Modified By  :                                                              │
#│ -----                                                                       │
#│ 1. Copyright (c) 2021 shivanandvp <shivanandvp@rebornos.org>                │
#│ 2.                                                                          │
#└─────────────────────────────────────────────────────────────────────────────┘

name: SDaRT

# version: "0.0.1"

# author: shivanandvp<shivanandvp@rebornos.org>

about: System Diagnostics and Repair Tool

args: 

    # Global options
    
    - json:
        about: Output in the JSON format for machine readability and scripting purposes.
        long: json
        global: true
    - plain:
        about: Output plain text of the output without extra information, for machine readability and scripting purposes.
        long: plain
        global: true
    - debug:
        about: Output debug messages.
        long: debug
        global: true
        
subcommands:
    - logs:
        name: sdart logs
        about: Control retrieving of log files
        args:
            - log_source:
                about: Specify the log source. For a list of all log sources supported, please run this subcommand with the `-l` or `--list` option.
                required_unless_present: list
            - upload:
                short: u
                long: upload
                about: Upload logs to a paste site
                required: false
                requires: log_source
            - list:
                short: l
                long: list
                about: List all the supported log sources